package resmobcity;

/**
 * @author slautenb
 *
 */
import java.io.IOException;

import ufz.aloe.urban.helper.*;


public class TestUrbanModel {
	
	/**
	 * @param args
	 */
	public static void main(String[] args) {
		// 
		
		int i = 0;
        String arg;
        boolean vflag = false;
        String inputFolder = "";
        String outputFolder = "";
        String errMsg="";
        
        
       
        System.out.println("Starting TestUrbanModel...");

        while (i < args.length && args[i].startsWith("-")) {
            arg = args[i++];
            // does the user want information about 
            if (arg.equals("-verbose")) {
                System.out.println("verbose mode on");
                vflag = true;
            }
    // look for the parameter file
             if (arg.equals("-input")) {
                if (i < args.length)
                    inputFolder = args[i++];
                else
                    System.err.println("-input requires a filename");
                if (vflag)
                    System.out.println("output file = " + inputFolder);
            }
             // get the place there to store the results
             else if (arg.equals("-output")) {
                 if (i < args.length)
                	 outputFolder = args[i++];
                 else
                     System.err.println("-output requires a filename");
                 if (vflag)
                     System.out.println("output file = " + outputFolder);
             }
    
        }
        try {
        	
        	
        	if (i <4)
        		errMsg= ("Usage: ParseCmdLine [-verbose] -input afile -output afolder");
        	if (!FileHelper.testFolder(inputFolder))
        		errMsg= errMsg + FileHelper.newline + "No correct input file: " + inputFolder;
        	if (!FileHelper.testFolder(outputFolder))
        		errMsg= errMsg + FileHelper.newline + "No correct output file: " + outputFolder;
        	if (errMsg != "")
        		System.err.println(errMsg);
        	else
        		System.out.println("Success!");
        		System.out.println(FileHelper.status(inputFolder) + FileHelper.status(outputFolder));
        }
        catch (IOException e){
        	System.err.println("Usage: ParseCmdLine [-verbose] -input afile -output afolder");
        }
        
	}
	
	
}
