package ufz.aloe.urban.helper;

import java.util.Vector;
import com.neilmoomey.util.*;


public class VectorConverter {
	
	
	public static int [] getIntArray (int lineNr, Vector resultVec){
		// reads the lineNr line from the Vector resultVec into an array of integers
	
		Vector tmpVec;
		tmpVec = (Vector) resultVec.elementAt(lineNr);
		int a []= new int [tmpVec.size()-1];
		
		for(int j = 0; j < (tmpVec.size()-1);j++){
			a[j] = Type.toInt(tmpVec.elementAt(j+1).toString()); 
		}
		return a;
	}
	
	public static String [] getStringArray (int lineNr, Vector resultVec){
		// reads the lineNr line from the Vector resultVec into an array of integers
	
		Vector tmpVec;
		tmpVec = (Vector) resultVec.elementAt(lineNr);
		String a []= new String [tmpVec.size()-1];
		

		for(int j = 0; j < (tmpVec.size()-1);j++){
			a[j] = (tmpVec.elementAt(j+1)).toString(); 
					}
		return a;
	}

	public static float [] getFloatArray (int lineNr, Vector resultVec){
		// reads the lineNr line from the Vector resultVec into an array of integers
	
		Vector tmpVec;
		tmpVec = (Vector) resultVec.elementAt(lineNr);
		float a []= new float [tmpVec.size()-1];
		

		for(int j = 0; j < (tmpVec.size()-1);j++){
			a[j] = Type.toFloat(tmpVec.elementAt(j+1).toString());
					}
		return a;
	}

	public static float [] [] getFloatMatrix (int lineNr, Vector resultVec){
		// reads all lines from lineNr downwards into a matrix of floats
	
		Vector tmpVec;
		tmpVec = (Vector) resultVec.elementAt(lineNr);
		float a [][]= new float [tmpVec.size()-1][resultVec.size()-lineNr];
		
		for(int i = 0; i < (resultVec.size()-lineNr);i++){
			tmpVec = (Vector) resultVec.elementAt(lineNr+i);
			for(int j = 0; j < (tmpVec.size()-1);j++){
			a[j][i] = Type.toFloat(tmpVec.elementAt(j+1).toString()); 
			//System.out.println(j+"   "+i+"       "+tmpVec.elementAt(j+1).toString());
			}
		}
		return a;
	}
	
	
	
}
