package ufz.aloe.urban.postprocessing;

import javax.swing.table.DefaultTableModel;
import java.util.Vector;


public class MetaData extends DefaultTableModel {
	
		protected String name;
		protected boolean editable = false;
		protected boolean idEditable = true;
		
		public MetaData(Vector columnNames, int rowCount) {
			super(columnNames, rowCount);
		}
		public MetaData(Object[][] data, Object[] columnNames) {
			super(data, columnNames);
		}
		public MetaData(int rowCount, int columnCount) {
			super(rowCount, columnCount);
		}
		
		public void setName(String n) { name=n; }
		public String getName(){ return name; }
		public boolean isCellEditable(int row, int col) {
			return ( editable && (col!=0 || idEditable ) );
		}
		public void setEditable(boolean e) {editable=e;}
		public void setIdEditable(boolean e) {idEditable=e;}
		public Object getValueAt(int id, int colId, int col) {
			for(int i = 0; i < getRowCount(); i++) {
				if(getValueAt(i, colId).equals(""+id)) return getValueAt(i, col);
			}
			return null;
		}
	
}
