package ufz.aloe.urban.model;


public class Borough {
	private  int boroughID;  //list of all boroughs (IDs)
	private  float percentVacancy; //  vectors of boroughs
	private  float []percentCohort;  //vector of boroughs, inner vectors of householdType
	private  float []percentHouseholdType;
	private  float cumPercentVacancy;//vector of boroughs
	private  float []cumPercentHouseholdType;//vector of boroughs, inner vectors of householdType

	
	public Borough(int boroughID, float percentVacancy, float []percentCohort, float [][]percentToHousehold,
			HouseholdType[] householdTypeArray){	

		this.boroughID=boroughID;
		this.percentVacancy = percentVacancy;
		this.percentCohort= percentCohort;
		cumPercentVacancy = calcCumPercentVacancy();
		cumPercentHouseholdType = calcCumPercentHouseholdType(householdTypeArray);
	
	}

	private  float calcCumPercentVacancy () {
		// cumPercentVacancy is a vector of i boroughs
		float a; 
		a = percentVacancy;
		return a;
	}
	
	private  float[] calcCumPercentHouseholdType (HouseholdType[] householdTypeArray) {
		//		 cumPercentHouseholdType is a vector of i boroughs, inner vector of j household types
		float a[]= new float [householdTypeArray.length];
		//a [0]= cumPercentVacancy+ percentHouseholdType[0];
		for (int j =1; j < householdTypeArray.length; j++){//loop over all householdTypes
		//	a [j]= a[j-1]+ percentHouseholdType[j];
		}	
		cumPercentHouseholdType = a;
		return a;
	}

	/**
	 * @return Returns the cumPercentHouseholdType.
	 */
	public float[]getCumPercentHouseholdType() {
		return cumPercentHouseholdType;
	}


	/**
	 * @return Returns the cumPercentVacancy.
	 */
	public float getCumPercentVacancy() {
		return cumPercentVacancy;
	}

	/**
	 * @return Returns the percentVacancy.
	 */
	public float getPercentVacancy() {
		return percentVacancy;
	}

	/**
	 * @return Returns the boroughID.
	 */
	public int getBoroughID() {
		return boroughID;
	}

	/**
	 * @return Returns the percentHouseholdType.
	 */
	public float[] getPercentCohort() {
		return percentCohort;
	}
}
