package ufz.aloe.urban.model;


public class Move {
	
	
	private Household household;
	private Building fromBuilding;
	private Building toBuilding;
	
	
	
	
	
	
	public Move(Household h, Flat from, Flat to) {
		household=h;
		fromBuilding=(from==null) ? null : from.getBuilding();
		toBuilding=to.getBuilding();
	}	
	
	
	
	
	public Building fromBuilding() {
		return fromBuilding;
	}
	
	
	public Building toBuilding() {
		return toBuilding;
	}
	
	
	public static String head() {
		return "HHT,numInh,budget,fromParcel,toParcel,fromX,fromY,toX,toY,"+
				"fromST,toST,fromAtt,toAtt,fromPrice,toPrice";
	}
	public String toString() {
		String c=",";
		if( fromBuilding != null)
			return household.getHouseholdTypeID()+c+household.getNumPerson()+c+
				household.getBudget()+c+fromBuilding.getLandParcelID()+c+toBuilding.getLandParcelID()+c+
				fromBuilding.getX()+c+fromBuilding.getY()+c+toBuilding.getX()+c+toBuilding.getY()+c+
				fromBuilding.getStructureTypeID()+c+toBuilding.getStructureTypeID()+c+
				fromBuilding.getAttractiveness()[household.getHouseholdTypeID()-1]+c+
				  toBuilding.getAttractiveness()[household.getHouseholdTypeID()-1]+c+
				fromBuilding.getCost()+c+toBuilding.getCost();
		else
			return household.getHouseholdTypeID()+c+household.getNumPerson()+c+
				household.getBudget()+c+"null"+c+toBuilding.getLandParcelID()+c+
				"null"+c+"null"+c+toBuilding.getX()+c+toBuilding.getY()+c+
				"null"+c+toBuilding.getStructureTypeID()+c+
				"null"+c+
				  toBuilding.getAttractiveness()[household.getHouseholdTypeID()-1]+c+
				"null"+c+toBuilding.getCost();
	}
}
