package ufz.aloe.urban.model;

public class StructureType {
	
	private int ID;
	private String structureTypes; //the use types that are available 
	private  int flatsPerBuilding; //the number of flats that a building has is a vector of structure type
	private float[] useTypeAreaProportion;
	private float meanRadius;

	public StructureType (String structureTypes, int flatsPerBuilding, int ID, float meanRadius ){	
		
		this.ID=ID;
		this.structureTypes=structureTypes;
		this.flatsPerBuilding = flatsPerBuilding;
		this.meanRadius=meanRadius;	
	}

	/**
	 * @return Returns the flatsPerBuilding.
	 */
	public int getFlatsPerBuilding() {
		return flatsPerBuilding;
	}
	public int getID() {
		return ID;
	}
	public float getMeanRadius() {
		return meanRadius;
	}

}
