package ufz.aloe.urban.postprocessing;

import java.awt.event.*;
import javax.swing.*;


public class ExtractFromResultsFrame extends JFrame
			implements ActionListener, ItemListener {
	
	protected JButton run;
	protected JComboBox type;
	protected JComboBox id;
	protected JComboBox field;
	protected JLabel typeL, idL, fieldL;
	protected MetaData data;
	protected int numFiles;
	
	public void actionPerformed(ActionEvent e){
		Object b = e.getSource();
		if(b==run) {
			int t=0;
			if(type.getSelectedItem().equals("id")) t=ExtractFromResults.ID;
			if(type.getSelectedItem().equals("field")) t=ExtractFromResults.FIELD;
			int idf=id.getSelectedIndex();
			int f=field.getSelectedIndex();	
			
			ExtractFromResults.extract(t, idf, f);
			
		} 
	}
	public void itemStateChanged(ItemEvent e){
		Object b = e.getSource();
		//System.out.println("id");
		if(b==type) {
			
			field.setVisible(false);
			if(type.getSelectedItem().equals("id")) {
				fieldL.setText("id to extract");
				int ncol=id.getSelectedIndex();
				field.removeAllItems();
				for(int i = 0; i < data.getRowCount(); i++) {
		  			field.addItem(data.getValueAt(i, ncol));
		  		}
			}
			if(type.getSelectedItem().equals("field")) {
				fieldL.setText("field to extract");
				field.removeAllItems();
				for(int i = 0; i < data.getColumnCount(); i++) {
  					field.addItem(data.getColumnName(i));
  				}
			}	
			field.setVisible(true);
		} 
		if(b==id) {
			field.setVisible(false);
			if(type.getSelectedItem().equals("id")) {
				fieldL.setText("id to extract");
				int ncol=id.getSelectedIndex();
				field.removeAllItems();
				for(int i = 0; i < data.getRowCount(); i++) {
		  			field.addItem(data.getValueAt(i, ncol));
		  		}
			}
			if(type.getSelectedItem().equals("field")) {
				fieldL.setText("field to extract");
				field.removeAllItems();
				for(int i = 0; i < data.getColumnCount(); i++) {
  					field.addItem(data.getColumnName(i));
  				}
			}	
			field.setVisible(true);
		}
	}
	
	public ExtractFromResultsFrame(MetaData data, int numFiles) {
		super("Extract data from results");
		this.data=data;
		this.numFiles=numFiles;
		JPanel mainPan = new JPanel();
		mainPan.setLayout(null);
		setContentPane(mainPan);
		
  		run = new JButton("Run");
  		run.setBounds(70, 220, 100, 20);
  		run.addActionListener(this);
  		
  		typeL = new JLabel("Extract by ...");
  		typeL.setBounds(20, 20, 100, 20);
  		type = new JComboBox();
  		type.setBounds(120, 20, 200, 20);
  		
  		mainPan.add(typeL);
  		mainPan.add(type);
  		
  		
  		idL = new JLabel("id field");
  		idL.setBounds(20, 50, 100, 20);
  		id = new JComboBox();
  		id.setBounds(120, 50, 200, 20);
  		mainPan.add(idL);
  		mainPan.add(id);
  		
  		fieldL = new JLabel("id to extract");
  		fieldL.setBounds(20, 70, 100, 20);
  		field = new JComboBox();
  		field.setBounds(120, 70, 200, 20);
  		mainPan.add(fieldL);
  		mainPan.add(field);
  		for(int i = 0; i < data.getColumnCount(); i++) {
  			id.addItem(data.getColumnName(i));
  		}
  		for(int i = 0; i < data.getRowCount(); i++) {
  			field.addItem(i);
  		}
  		
  		type.addItemListener(this);
  		id.addItemListener(this);
  		
  		type.addItem("id");
  		type.addItem("field");
  		mainPan.add(run);
  		setSize(345, 280);
  		setVisible(true);
	}
	
}
